Subject: Re: bug#7761: The NS port is still 11 times slower than normal

From: Jan Djärv <[email-masked]>
Date: Thu, 30 Dec 2010 12:36:57 +0100

A way to reproduce starting from -Q would be more helpful if this is to be 
fixed.  Enumerating the missing future set in the current port is also 
helpful, sweeping statements is not.

I don't think switching is an option, the macport doesn't seem to be based on 
emacs 24 yet.

	Jan D.

Leo skrev 2010-12-30 11.05:
> Hi all,
>
> There are numerous bug reports on the issues of NS port, in particular
> the performance degradation after turning flyspell on.
>
> I did a build of the NS port from trunk two days ago. And I tried
> flyspell-buffer on the about page (C-h C-a). And it was about 11 times
> slower than a same run on other terminals (X11, tty, Mac) etc.
>
> Some of the reports are as old as two years ago. There seems little hope
> it will shape up in the foreseeable future. I have been told even as it
> stands today it is already much improved.
>
> Meanwhile, we have a better alternative (the macport¹) that provides
> comparable feature set as in GNU/Linux and without any compromise in
> performance.
>
> I wonder if macport should be merged?
>
> Thanks.
>
> Leo
>
> Footnotes:
> ¹  ftp://ftp.math.s.chiba-u.ac.jp/emacs
>
>
>